> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update time settings



## OpenAPI

````yaml /api-reference/tempo.yaml put /v2/time-clock/settings
openapi: 3.0.0
info:
  title: Tarefy API
  description: >-
    Tarefy REST API — task management, culture and performance platform.


    Endpoints are versioned at `/v2/...`. Authentication via Bearer JWT in the
    `Authorization` header.


    To get started, see the [authentication guide](/authentication) and the
    [quickstart](/quickstart).
  version: 2.0.0
  contact:
    name: Tarefy Support
    email: suporte@tarefy.com
    url: https://tarefy.com
  license:
    name: Proprietary
    url: https://tarefy.com
servers:
  - url: https://app.tarefy.com/nodeapi
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Time Clock
    description: Electronic time — work record
  - name: Time Clock Justifys
    description: Time justifications
  - name: Time Bank
    description: Time bank
  - name: Off Time
    description: Days off and absences
  - name: Vacations
    description: Vacation — granting and management
paths:
  /v2/time-clock/settings:
    put:
      tags:
        - Time Clock
      summary: Update time settings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                geofence_enabled:
                  type: boolean
                  description: Exige GPS ativo e permissão de localização para bater ponto.
                geofence_block_outside_radius:
                  type: boolean
                  description: >-
                    Em dia presencial, batidas fora do raio entram no fluxo de
                    confirmação antes de criar o registro.
                geofence_latitude:
                  type: number
                  nullable: true
                geofence_longitude:
                  type: number
                  nullable: true
                geofence_radius_meters:
                  type: integer
                  nullable: true
                geofence_address:
                  type: string
                  nullable: true
                presential_weekdays:
                  type: array
                  description: >-
                    Dias presenciais padrão da empresa em formato ISO, onde
                    1=segunda e 7=domingo.
                  items:
                    type: integer
                    minimum: 1
                    maximum: 7
                  example:
                    - 1
                    - 2
                    - 3
                    - 4
                    - 5
      responses:
        '200':
          description: Configurações atualizadas com sucesso
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````